<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ycwh.mapper.MemberInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="memberInfoResultMap" type="org.springblade.modules.ycwh.entity.MemberInfoEntity">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="remark" property="remark"/>
        <result column="sort" property="sort"/>
        <result column="avatar" property="avatar"/>
        <result column="nickname" property="nickname"/>
        <result column="realname" property="realname"/>
        <result column="phone" property="phone"/>
        <result column="sex" property="sex"/>
        <result column="birthday" property="birthday"/>
        <result column="email" property="email"/>
        <result column="reg_ip" property="regIp"/>
        <result column="last_login_ip" property="lastLoginIp"/>
        <result column="last_login_time" property="lastLoginTime"/>
        <result column="area_code" property="areaCode"/>
        <result column="address" property="address"/>
        <result column="bnum" property="bnum"/>
        <result column="ballnum" property="ballnum"/>
    </resultMap>


    <select id="selectMemberInfoPage" resultMap="memberInfoResultMap">
        select * from ycwh_member_info where is_deleted = 0
    </select>


    <select id="exportMemberInfo" resultType="org.springblade.modules.ycwh.excel.MemberInfoExcel">
        SELECT * FROM ycwh_member_info ${ew.customSqlSegment}
    </select>

</mapper>
